accrue.analysis.interprocanalysis

## Class AnalysisUnit

- java.lang.Object
- - accrue.analysis.interprocanalysis.AnalysisUnit

-     public class AnalysisUnit
      extends java.lang.Object

  An AnalysisUnit is the unit of analysis that the WorkQueue deals with. It is a code declaration (i.e., a method or a constructor or an initializer) in an object-sensitive context.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalysisUnit(polyglot.ast.CodeNode cn, AnalysisContext context)`
    `AnalysisUnit(polyglot.ast.FieldDecl decl, AnalysisContext context)`
    `AnalysisUnit(polyglot.ast.Initializer init, AnalysisContext context)`
    `AnalysisUnit(polyglot.ast.ProcedureDecl pd, AnalysisContext context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `polyglot.ast.CodeNode` | `codeNode()`
    `AnalysisContext` | `context()`
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `polyglot.ast.ProcedureDecl` | `procedureDecl()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AnalysisUnit

          public AnalysisUnit(polyglot.ast.ProcedureDecl pd,
                      AnalysisContext context)

    - #### AnalysisUnit

          public AnalysisUnit(polyglot.ast.CodeNode cn,
                      AnalysisContext context)

    - #### AnalysisUnit

          public AnalysisUnit(polyglot.ast.Initializer init,
                      AnalysisContext context)

    - #### AnalysisUnit

          public AnalysisUnit(polyglot.ast.FieldDecl decl,
                      AnalysisContext context)

  - ### Method Detail

    - #### procedureDecl

          public polyglot.ast.ProcedureDecl procedureDecl()

    - #### codeNode

          public polyglot.ast.CodeNode codeNode()

    - #### context

          public AnalysisContext context()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`